<div ng-include="'../templates/sideNavBar.html'"></div>

<div class="container">
    <div class="modal-body">
      <!--  <label class="col-6">Query Production Details

        <br>
        <br>-->
        <div class="row">
            <div class="col-sm-4" >
                <div class="form-group">
                    <label class="col-2 col-form-label">STARTDATE</label>
                    <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                        <input type="text" class="form-control" placeholder="dateOfJoining" datetime-picker
                               ng-model="dateDetails.startDate" is-open="ctrl.picker6.open"
                               ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)"
                               ng-init="ctrl.picker6.date"/>
                        <span class="input-group-btn">
                    <button type="button" class="btn btn-default" style="margin-top:0px;"
                            ng-click="ctrl.openCalendar($event, 'picker6')"><span
                            class="glyphicon glyphicon-calendar"></span>
                    </button>
                    </button>
                </span>
                    </div>
                </div>
            </div>
            <div class="col-sm-4" >
                <div class="form-group">
                    <label class="col-2 col-form-label">ENDDATE</label>
                    <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                        <input type="text" class="form-control" placeholder="dateOfJoining" datetime-picker
                               ng-model="dateDetails.endDate" is-open="ctrl.picker6.open"
                               ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)"
                               ng-init="ctrl.picker6.date"/>
                        <span class="input-group-btn">
                    <button type="button" class="btn btn-default" style="margin-top:0px;"
                            ng-click="ctrl.openCalendar($event, 'picker6')"><span
                            class="glyphicon glyphicon-calendar"></span>
                    </button>
                </span>
                    </div>
                </div>

            </div>
            <div class="col-sm-4" >
                <button style="margin-top: 39px;" ng-click="querySalesDetails()" type="button" class="btn btn-primary">SUBMIT</button>
            </div>

        </div>

        </label>

    </div>
    <!--<div style="color:black;">TOTAL-&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&ndash;&gt;{{totalCost[0].sum}}</div>-->
   <!--  <div class="mystyle" style="margin-left:500px;"  >
        <button data-ng-click="exportAction('csv')"class="w3-button btn btn-primary w3-indigo">CSV</button>
        <button data-ng-click="exportAction('excel')"class="w3-button btn btn-primary w3-indigo">Excel</button>
        <button data-ng-click="exportAction('doc')"class="w3-button btn btn-primary w3-indigo"> Doc</button>
        <button data-ng-click="exportAction('pdf')"class="w3-button btn btn-primary w3-indigo">Pdf</button><br><br>
    </div>
 -->
    <div class="container">
        <div class="row">
            <!-- column -->
            <div class="col-sm-12">
                <div class="card">

                    <div id="OrderPackages_1" class="table-responsive">

                        <table id="tableSearchResults"  class="table color-bordered-table primary-bordered-table" export-table>
                            <tbody>

                            <div class="panel panel-default">
                                <tr id="package_{{$index}}" class="accordion-toggle" data-toggle="collapse"
                                    data-target=" .chimpance">
                                    <td style="color:tomato; border: solid 2px black;">
                                        DAILY SALES DETAILS
                                    </td>
                                </tr>
                            </div>


                            <tr>
                                <td colspan="3" class="hiddenRow" data-parent="#OrderPackages_1">
                                    <div class="accordion-body collapse chimpance" id="accordion1">

                                        <div id="OrderPackagess" class="table-responsive">
                                            <table id="tableSarchResults"
                                                   class="table color-bordered-table primary-bordered-table">
                                                <thead>
                                                <tr>
                                                    <th style="border-right-style:ridge; background-color:tomato;">numberOfCoconut
                                                    </th>
                                                    <th style="border-right-style:ridge; background-color:tomato;">dateOfAddition
                                                    </th>
                                                </tr>
                                                </thead>
                                                <tbody dir-paginate="sales in reportList|filter:searchtext|itemsPerPage:5">
                                                <tr id="package11" class="accordion-toggle" data-toggle="collapse"
                                                    data-parent="OrderPackages" data-target=".emp{{advance._id}}">
                                                    <td style="border-right-style:ridge;">{{sales.numberOfCoconut}}</td>
                                                    <td style="border-right-style:ridge;">{{sales.dateOfAddition|  date:'dd/MM/yyyy'}}</td>


                                                </tr>
                                                <tr>

                                                    <td colspan="3" class="hiddenRow">
                                                        <div class="accordian-body collapse table-responsive emp{{advance._id}}"
                                                             id="accordion11">
                                                            <table class="table color-bordered-table success-bordered-table">
                                                                <thead>
                                                                <tr>
                                                                    <!--<th>{{subs.subCategoryid+sub.categoryId+subs.subCategoryid}}</th>-->
                                                                    <th style="border-right-style:ridge; background-color:coral;">
                                                                        productName
                                                                    </th>
                                                                    <th style="border-right-style:ridge; background-color:coral;">
                                                                        noOfTrays
                                                                    </th>
                                                                    <th style="border-right-style:ridge; background-color:coral;">
                                                                        noOfPices
                                                                    </th>
                                                                    <th style="border-right-style:ridge; background-color:coral;">
                                                                        costPerPiece
                                                                    </th>
                                                                    <th style="border-right-style:ridge; background-color:coral;">
                                                                        TotalCostOfDay
                                                                    </th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                
                                                                <tr ng-repeat="product in sales.product|filter:searchtext" class="kikikiki">
                                                                    <td style="border-right-style:ridge;">
                                                                        {{product.productName}}
                                                                    </td>
                                                                    <td style="border-right-style:ridge;">
                                                                        {{product.noOfTrays}}
                                                                    </td>
                                                                    <td style="border-right-style:ridge;">
                                                                        {{product.noOfPices}}
                                                                    </td>
                                                                    <td style="border-right-style:ridge;">
                                                                        {{product.costPerPiece}}
                                                                    </td>
                                                                    <td style="border-right-style:ridge;">
                                                                        {{product.TotalCostOfDay}}
                                                                    </td>

                                                                </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </td>
                                                </tr>

                                                </tbody>
                                            </table>
                                            <dir-pagination-controls class="paging" style="margin-left:450px;"
                                                                     max-size="5"
                                                                     direction-links="true"
                                                                     boundary-links="true">
                                            </dir-pagination-controls>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>

</div><div ng-include="'../templates/footer.html'"></div>
